#!/bin/bash
# test script for fuse-chunkfs

NR_CHUNKS=4
DISK_DIR=/chunkfs/disks

mkdir -p $DISK_DIR
i=0

while [ "$i" -lt "$NR_CHUNKS" ]
do
	[ -e $DISK_DIR/chunk$i.dsk ] || dd if=dd if=/dev/zero of=$DISK_DIR/chunk$i.dsk seek=1024 count=1 bs=1K
	mkfs.ext2 $DISK_DIR/chunk$i.dsk
	let "i += 1"
done

echo -e "** $NR_CHUNKS chunks in $DISK_DIR initialized *8\n"

mkdir -p temp
./chunkfs temp &
echo -n "chunkfs mount attempted on temp, Proceed with the test (y/n) : "
read resp

if [[ "$resp" -ne 'y' || "$resp" -ne 'Y' || -z "$resp" ]]
then
	exit 0;
fi

echo "REPOSNESE: $resp"
gcc -o tests/fileop tests/fileop.c
if [ "$?" -ne "0" ]
then
	echo -e "error compiling fileop.c\n"
	exit 1
fi

(cd temp; ../tests/fileop -f 3 -t)
echo -e "** chunkfs test ends **\n"
fusermount -u temp

if [ "$?" -eq "0" ]
then
	echo -e "** chunkfs umounted successfully on temp **\n"
else
	echo -e "error umounting chunkfs\n"
	exit 1;
fi

